Subject: Re: More questions: Latest version of HxRG code and IDL readout software
From: [email-masked]
To: [email-masked]
Cc: [email-masked], "Craig McMurtry" <[email-masked]>, "Bill Forrest" <[email-masked]>
Date: Fri, 7 Aug 2009 15:41:06 -0400 (EDT)

I am at a wedding in VT today and camping next week - probably out pf
internet contact.  Please call/e-mail Bill.  Thanks Michael.

Judy

> Hi Judy,
>   I did not know about the issue with the gain not being updated in the
> fits header for the HXRG code.  I will see if we can correct and fix this
> error, and send out a new version of the IDL readout software.  Also,
> Vrefmain is listed in the header under the name of bias 44.  Vref1 is
> listed as bias 40.  It's worth noting that these are captured as what they
> are set to as the ASIC setting and are not being actively measured then
> stored in the header.
>
>   For the Vrefmain issue, I think the manual may be incorrect.  Vrefmain
> is somewhat noisy as it is generated inside the ASIC, just like Vref1 and
> Vref2.  The Vref1_DAC & Vref2_DAC being referred to by the manual, though,
> are biases being generated by the JADE card and provided to the ASIC. This
> Vref is being provided as the ASIC Vrefin, and it sets how some of the
> internal biases are generated.  For your case of the cryokit ASIC, the
> only one that affects you is Vref1_DAC.  Why are there Vref1-Vref4?  This
> is a feature of the JADE card that allows it to run up to 4 "banks" of
> ASICs, with up to 16 ASICs per bank.  The banks are numbered 0-3,
> corresponding to biases 1-4, which you will see in power readback.  For
> your cryokit, only bank 0 is in use, with the ASIC designated as ID 0. For
> Vref1_DAC, there shouldn't be any noise pickup on this line, and disabling
> it is not recommended.  Since you are seeing noise on half of the ADC
> channels, this issue is not affecting your noise.
>
>   For the difference in even/odd channels, what cable are you using to
> connect the ASIC to the detector?  For this behavior, it seems most likely
> that one side of the cable is serving as a noise pickup, in this case the
> even numbered outputs.  For the 4 channel case, the ASIC channels and
> detector outputs being used are the 7, 15, 23, and 31, which would explain
> why you are seeing low noise in 4 output mode.
>
>   I am a bit busy at the moment, but hopefully we can talk a bit more
> about this next week.  I will check to see about enabling reference pixel
> correction with the HxRG readout software as unfortunately the person who
> wrote it is out of the office today.
>
> Sincerely,
> Michael Eads
>
>
>
>
> [email-masked]
> 08/04/2009 01:46 PM
> Please respond to
> [email-masked]
>
>
> To
> [email-masked]
> cc
> [email-masked]
> "Bill Forrest" <[email-masked]>
> Subject
> More questions: Latest version of HxRG code and IDL readout      software
>
>
>
>
>
>
> Hi Michael, More questions in addition to those below, sent earlier (and
> words corrected below).  Since Vrefmain is so important, why doesn't its
> voltage appear in the fits header?  Lots of voltages do appear.
>
> And on page 30 of 46 it says that VREFN|MAIn is an important voltage but
> has the disaadvantage that it is noisy - and can be reduced by disabling
> Vref1_DAC - that is the one we thought we were supposed to use.  Should we
> use Vref2_DAC - or is it equally noisy.  Please interpret for us.
>
> Thanks,
> Judy
>
>
>
>
>> Hi Michael
>>
>> As I said in phonemail the gains do not update in the fits header on the
>> first two reads in a CDS.  We note that "save configuration" precedes
> the
>> data-taking so the new preamp config should be stored
>>
>> Also, with ASIC 006 there is a severe difference in odd and even channel
>> noise.  Numbering from left to right from 1-32 in 32 channel mode, the
> odd
>> channels are on average a factor of 2 less noisy than the even.
>>
>> In 4 output mode (what is the default?  which channels are used to read
>> the outputs?) the first 3 channels have an equivalent noise at the
> highest
>> gain of 22 e-rms in CDS and the last channel has 14 e-noise.  Since we
> are
>> using a bare mux we estimate the capacitance of the device if there were
> a
>> detector as 40 fF/pixel. The A/D noise doesn't contribute at this
> highest
>> gain.  Looks like a fair number of noisy preamps.  These are for NO
>> reference pixel subtraction.
>>
>> Is there reference pixel subtraction software associated with this IDL
>> software?
>>
>> Judy
>>
>>
>
>
>
>